Transactional SMS
Search message dispatch history with filters
GET
Search and paginate through dispatch logs by phone number, message text keyword, delivery status, or date range.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
q?stringSearch query matching recipient or text
status?stringFilter by message delivery status
Value in
"DELIVERED""SUBMITTED""PENDING""FAILED""EXPIRED"page?integerPage index (0-based)
Default
0pageSize?integerNumber of records per page
Default
20Paginated history search results
application/json- response
status?stringdata?curl -X GET 'https://api.smspro.com/api/v1/public/sms/history/search'Example Response
{ "status": "string", "data": { "content": [ { "id": "string", "to": "string", "message": "string", "status": "string", "deliveryStatus": "string", "senderId": "string", "segmentCount": 0, "sentAt": "2019-08-24T14:15:22Z" } ], "totalElements": 0, "page": 0, "pageSize": 0 }}